Bug 181422 - [PATCH] graphics/geos: update to 3.4.1
[PATCH] graphics/geos: update to 3.4.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:20 UTC by Rainer Hurling
Modified: 2013-09-11 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.97 KB, patch)
2013-08-20 08:20 UTC, Rainer Hurling
no flags Details | Diff
patch_geos_3.3.8-3.4.1_2.txt (6.33 KB, text/plain; charset=UTF-8)
2013-08-20 10:19 UTC, Rainer Hurling
no flags Details
patch_geos_3.3.8-3.4.2.diff (5.75 KB, patch)
2013-09-05 15:49 UTC, Rainer.Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2013-08-20 08:20:00 UTC
This version 3.4.1 brings in a lot of bug fixes and improvements. Some of them are recommended for using PostGIS 2.1.0 and others.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-20 08:20:21 UTC
Maintainer of graphics/geos,

Please note that PR ports/181422 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181422

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-20 08:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rainer Hurling 2013-08-20 10:19:27 UTC
I just tested some more ports with updated graphics/geos and had some
trouble with missing file 'platform.h'.

For example converters/osm2pgsql is complaining about 'geos/platform.h'
not found, when trying to use 'include/geos/geom/Coordinate.h'.

For some reason graphics/geos 3.4.1 does generate the file platform.h,
but does not install it. As a workaround I added a patch under 'files',
which brings in platform.h the hard way in 'include/geos/Makefile.in'.

The following patch should contain the complete patchset again for
updating from version 3.3.8 to 3.4.1.
Comment 4 Rainer.Hurling 2013-09-05 15:49:32 UTC
And again, before 3.4.1 is committed, there is an update. The attached
patch to 3.4.2 does not need the patch for platform.h any more, so there
is also no files directory needed.

Changes in 3.4.2 from 2013-08-25
Bug fixes / improvements
- Use a double for PrecisionModel scale, avoiding overflows
  should fix 32-bit regression failures
- isnan workaround OS detection missing NetBSD, DragonFly,
  Sun nuance
- Do not distribute platform.h and version.h, but install
  both
- Non-standard ChangeLog file in 3.4.0 and 3.4.1 releases
Comment 5 William Grzybowski freebsd_committer 2013-09-11 14:29:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 6 dfilter freebsd_committer 2013-09-11 14:58:38 UTC
Author: wg
Date: Wed Sep 11 13:58:27 2013
New Revision: 326981
URL: http://svnweb.freebsd.org/changeset/ports/326981

Log:
  graphics/geos: update to 3.4.2
  
  - Update to 3.4.2 [1]
  - Bump PORTREVISION for dependent ports
  - USES gmake
  - Use options helpers
  
  PR:		ports/181422 [1]
  Submitted by:	Rainer Hurling <rhurlin gwdg.de> (maintainer)

Modified:
  head/astro/osmium/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/postgis/Makefile
  head/databases/postgis20/Makefile
  head/databases/pyspatialite/Makefile
  head/databases/spatialite/Makefile
  head/databases/spatialite_gui/Makefile
  head/devel/py-shapely/Makefile
  head/graphics/geos/Makefile
  head/graphics/geos/distinfo
  head/graphics/geos/pkg-plist
  head/graphics/librasterlite/Makefile
  head/graphics/libreatlas/Makefile
  head/graphics/mapserver/Makefile
  head/graphics/qgis/Makefile

Modified: head/astro/osmium/Makefile
==============================================================================
--- head/astro/osmium/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/astro/osmium/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=	osmium
 PORTVERSION=	git20130522
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	astro geography devel
 
 MAINTAINER=	amdmi3@FreeBSD.org

Modified: head/converters/osm2pgsql/Makefile
==============================================================================
--- head/converters/osm2pgsql/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/converters/osm2pgsql/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=	osm2pgsql
 PORTVERSION=	r29250
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	converters geography
 MASTER_SITES=	http://mirror.amdmi3.ru/distfiles/
 

Modified: head/databases/postgis/Makefile
==============================================================================
--- head/databases/postgis/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/databases/postgis/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=	postgis
 PORTVERSION=	1.5.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases geography
 MASTER_SITES=	http://postgis.refractions.net/download/ \
  		http://www.postgis.org/download/

Modified: head/databases/postgis20/Makefile
==============================================================================
--- head/databases/postgis20/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/databases/postgis20/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -2,7 +2,7 @@
 
 PORTNAME=	postgis
 PORTVERSION=	2.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	databases geography
 MASTER_SITES=	http://download.osgeo.org/postgis/source/
 

Modified: head/databases/pyspatialite/Makefile
==============================================================================
--- head/databases/pyspatialite/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/databases/pyspatialite/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pyspatialite
 PORTVERSION=	3.0.1
+PORTREVISION=	1
 CATEGORIES=	databases python
 MASTER_SITES=	CHEESESHOP:pyspatialite \
 		http://www.gaia-gis.it/gaia-sins/libspatialite-sources/:amalgam

Modified: head/databases/spatialite/Makefile
==============================================================================
--- head/databases/spatialite/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/databases/spatialite/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -7,7 +7,7 @@
 
 PORTNAME=	spatialite
 PORTVERSION=	3.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases geography
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/
 DISTNAME=	lib${PORTNAME}-${PORTVERSION}
@@ -15,7 +15,7 @@ DISTNAME=	lib${PORTNAME}-${PORTVERSION}
 MAINTAINER=	wenheping@gmail.com
 COMMENT=	Spatial Extensions for SQLite
 
-LIB_DEPENDS=	geos_c.8:${PORTSDIR}/graphics/geos \
+LIB_DEPENDS=	geos_c.9:${PORTSDIR}/graphics/geos \
 		proj.7:${PORTSDIR}/graphics/proj \
 		freexl.1:${PORTSDIR}/textproc/freexl
 

Modified: head/databases/spatialite_gui/Makefile
==============================================================================
--- head/databases/spatialite_gui/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/databases/spatialite_gui/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -7,6 +7,7 @@
 
 PORTNAME=	spatialite_gui
 PORTVERSION=	1.5.0
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-stable

Modified: head/devel/py-shapely/Makefile
==============================================================================
--- head/devel/py-shapely/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/devel/py-shapely/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Shapely
 PORTVERSION=	1.2.18
+PORTREVISION=	1
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -13,7 +14,7 @@ COMMENT=	Python Package for Manipulation
 LIB_DEPENDS=	geos_c:${PORTSDIR}/graphics/geos
 
 CFLAGS+=	-I${LOCALBASE}/include
-USE_PYTHON=	2.5+
+USE_PYTHON=	2.6+
 USE_PYDISTUTILS=	easy_install
 
 .include <bsd.port.mk>

Modified: head/graphics/geos/Makefile
==============================================================================
--- head/graphics/geos/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/geos/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	geos
-PORTVERSION=	3.3.8
+PORTVERSION=	3.4.1
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://download.osgeo.org/geos/
 
@@ -13,12 +13,14 @@ LICENSE=	LGPL21
 
 USE_AUTOTOOLS=	libtool
 USE_BZIP2=	yes
-USE_GMAKE=	yes
 USE_LDCONFIG=	yes
+USES=		gmake
 GNU_CONFIGURE=	yes
 
 OPTIONS_DEFINE=	PHP PYTHON RUBY
 
+OPTIONS_SUB=	yes
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MPHP} || ${PORT_OPTIONS:MPYTHON} || ${PORT_OPTIONS:MRUBY}
@@ -28,26 +30,17 @@ BUILD_DEPENDS+=	swig1.3:${PORTSDIR}/deve
 .if ${PORT_OPTIONS:MPYTHON}
 USE_PYTHON=		yes
 CONFIGURE_ARGS+=	--enable-python
-PLIST_SUB+=		WITH_PYTHON=""
-.else
-PLIST_SUB+=		WITH_PYTHON="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPHP}
 BUILD_DEPENDS+=		${LOCALBASE}/bin/php-config:${PORTSDIR}/lang/php5
 CONFIGURE_ARGS+=	--enable-php
-PLIST_SUB+=		WITH_PHP=""
-.else
-PLIST_SUB+=		WITH_PHP="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MRUBY}
 USE_RUBY=		yes
 CONFIGURE_ARGS+=	--enable-ruby
 CONFIGURE_ENV+=		RUBY="${RUBY}"
-PLIST_SUB+=		WITH_RUBY=""
-.else
-PLIST_SUB+=		WITH_RUBY="@comment "
 .endif
 
 post-install:

Modified: head/graphics/geos/distinfo
==============================================================================
--- head/graphics/geos/distinfo	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/geos/distinfo	Wed Sep 11 13:58:27 2013	(r326981)
@@ -1,2 +1,2 @@
-SHA256 (geos-3.3.8.tar.bz2) = ebecd4d1a71bcc28e5e883296cd8c52a80d5596335e74728f320989734fa503b
-SIZE (geos-3.3.8.tar.bz2) = 1820064
+SHA256 (geos-3.4.1.tar.bz2) = d07ac375f3edd12425d6ce5a96db9739d5ff358cbdf60c6804f7a9e565af8ff2
+SIZE (geos-3.4.1.tar.bz2) = 1813303

Modified: head/graphics/geos/pkg-plist
==============================================================================
--- head/graphics/geos/pkg-plist	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/geos/pkg-plist	Wed Sep 11 13:58:27 2013	(r326981)
@@ -4,25 +4,17 @@ include/geos/algorithm/Angle.h
 include/geos/algorithm/BoundaryNodeRule.h
 include/geos/algorithm/CGAlgorithms.h
 include/geos/algorithm/CentralEndpointIntersector.h
+include/geos/algorithm/Centroid.h
 include/geos/algorithm/CentroidArea.h
 include/geos/algorithm/CentroidLine.h
 include/geos/algorithm/CentroidPoint.h
 include/geos/algorithm/ConvexHull.h
 include/geos/algorithm/ConvexHull.inl
-include/geos/algorithm/ExtractLineByLocation.h
 include/geos/algorithm/HCoordinate.h
 include/geos/algorithm/InteriorPointArea.h
 include/geos/algorithm/InteriorPointLine.h
 include/geos/algorithm/InteriorPointPoint.h
-include/geos/algorithm/LengthIndexOfPoint.h
-include/geos/algorithm/LengthIndexedLine.h
-include/geos/algorithm/LengthLocationMap.h
 include/geos/algorithm/LineIntersector.h
-include/geos/algorithm/LinearGeometryBuilder.h
-include/geos/algorithm/LinearIterator.h
-include/geos/algorithm/LinearLocation.h
-include/geos/algorithm/LocationIndexOfLine.h
-include/geos/algorithm/LocationIndexOfPoint.h
 include/geos/algorithm/MCPointInRing.h
 include/geos/algorithm/MinimumDiameter.h
 include/geos/algorithm/NotRepresentableException.h
@@ -198,10 +190,21 @@ include/geos/io/WKTReader.h
 include/geos/io/WKTReader.inl
 include/geos/io/WKTWriter.h
 include/geos/io/Writer.h
+include/geos/linearref/ExtractLineByLocation.h
+include/geos/linearref/LengthIndexOfPoint.h
+include/geos/linearref/LengthIndexedLine.h
+include/geos/linearref/LengthLocationMap.h
+include/geos/linearref/LinearGeometryBuilder.h
+include/geos/linearref/LinearIterator.h
+include/geos/linearref/LinearLocation.h
+include/geos/linearref/LocationIndexOfLine.h
+include/geos/linearref/LocationIndexOfPoint.h
+include/geos/linearref/LocationIndexedLine.h
 include/geos/noding.h
 include/geos/noding/BasicSegmentString.h
 include/geos/noding/FastNodingValidator.h
 include/geos/noding/FastSegmentSetIntersectionFinder.h
+include/geos/noding/GeometryNoder.h
 include/geos/noding/IntersectionAdder.h
 include/geos/noding/IntersectionFinderAdder.h
 include/geos/noding/IteratedNoder.h
@@ -222,7 +225,6 @@ include/geos/noding/SegmentNodeList.h
 include/geos/noding/SegmentPointComparator.h
 include/geos/noding/SegmentSetMutualIntersector.h
 include/geos/noding/SegmentString.h
-include/geos/noding/SegmentString.inl
 include/geos/noding/SegmentStringUtil.h
 include/geos/noding/SimpleNoder.h
 include/geos/noding/SingleInteriorIntersectionFinder.h
@@ -245,6 +247,7 @@ include/geos/operation.h
 include/geos/operation/GeometryGraphOperation.h
 include/geos/operation/IsSimpleOp.h
 include/geos/operation/buffer/BufferBuilder.h
+include/geos/operation/buffer/BufferInputLineSimplifier.h
 include/geos/operation/buffer/BufferOp.h
 include/geos/operation/buffer/BufferParameters.h
 include/geos/operation/buffer/BufferSubgraph.h
@@ -322,12 +325,13 @@ include/geos/planargraph/NodeMap.h
 include/geos/planargraph/PlanarGraph.h
 include/geos/planargraph/Subgraph.h
 include/geos/planargraph/algorithm/ConnectedSubgraphFinder.h
-include/geos/platform.h
 include/geos/precision.h
 include/geos/precision/CommonBits.h
 include/geos/precision/CommonBitsOp.h
 include/geos/precision/CommonBitsRemover.h
 include/geos/precision/EnhancedPrecisionOp.h
+include/geos/precision/GeometryPrecisionReducer.h
+include/geos/precision/PrecisionReducerCoordinateOperation.h
 include/geos/precision/SimpleGeometryPrecisionReducer.h
 include/geos/profiler.h
 include/geos/simplify/DouglasPeuckerLineSimplifier.h
@@ -340,6 +344,16 @@ include/geos/simplify/TaggedLinesSimplif
 include/geos/simplify/TopologyPreservingSimplifier.h
 include/geos/spatialIndex.h
 include/geos/timeval.h
+include/geos/triangulate/DelaunayTriangulationBuilder.h
+include/geos/triangulate/IncrementalDelaunayTriangulator.h
+include/geos/triangulate/quadedge/LastFoundQuadEdgeLocator.h
+include/geos/triangulate/quadedge/LocateFailureException.h
+include/geos/triangulate/quadedge/QuadEdge.h
+include/geos/triangulate/quadedge/QuadEdgeLocator.h
+include/geos/triangulate/quadedge/QuadEdgeSubdivision.h
+include/geos/triangulate/quadedge/TrianglePredicate.h
+include/geos/triangulate/quadedge/TriangleVisitor.h
+include/geos/triangulate/quadedge/Vertex.h
 include/geos/unload.h
 include/geos/util.h
 include/geos/util/Assert.h
@@ -349,6 +363,7 @@ include/geos/util/GEOSException.h
 include/geos/util/GeometricShapeFactory.h
 include/geos/util/IllegalArgumentException.h
 include/geos/util/IllegalStateException.h
+include/geos/util/Interrupt.h
 include/geos/util/Machine.h
 include/geos/util/TopologyException.h
 include/geos/util/UniqueCoordinateArrayFilter.h
@@ -356,7 +371,7 @@ include/geos/util/UnsupportedOperationEx
 include/geos/util/math.h
 include/geos/version.h
 include/geos_c.h
-lib/libgeos-3.3.8.so
+lib/libgeos-3.4.1.so
 lib/libgeos.a
 lib/libgeos.la
 lib/libgeos.so
@@ -364,9 +379,11 @@ lib/libgeos.so.0
 lib/libgeos_c.a
 lib/libgeos_c.la
 lib/libgeos_c.so
-lib/libgeos_c.so.8
+lib/libgeos_c.so.9
 @dirrmtry lib/geos
 @dirrm include/geos/util
+@dirrm include/geos/triangulate/quadedge
+@dirrm include/geos/triangulate
 @dirrm include/geos/simplify
 @dirrm include/geos/precision
 @dirrm include/geos/planargraph/algorithm
@@ -385,6 +402,7 @@ lib/libgeos_c.so.8
 @dirrm include/geos/operation
 @dirrm include/geos/noding/snapround
 @dirrm include/geos/noding
+@dirrm include/geos/linearref
 @dirrm include/geos/io
 @dirrm include/geos/index/sweepline
 @dirrm include/geos/index/strtree
@@ -402,18 +420,18 @@ lib/libgeos_c.so.8
 @dirrm include/geos/algorithm/distance
 @dirrm include/geos/algorithm
 @dirrm include/geos
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos.pth
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.a
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.la
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.so
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.py
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.pyc
-%%WITH_PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.pyo
-%%WITH_PYTHON%%@dirrm %%PYTHON_SITELIBDIR%%/geos
-%%WITH_PYTHON%%@dirrmtry %%PYTHON_SITELIBDIR%%
-%%WITH_RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.a
-%%WITH_RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.la
-%%WITH_RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.so
-%%WITH_RUBY%%@dirrmtry %%RUBY_SITEARCHLIBDIR%%/
-%%WITH_PHP%%lib/php/20100525/geos.so
-%%WITH_PHP%%@dirrmtry lib/php/20100525
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos.pth
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.a
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.la
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/_geos.so
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.py
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.pyc
+%%PYTHON%%%%PYTHON_SITELIBDIR%%/geos/geos.pyo
+%%PYTHON%%@dirrm %%PYTHON_SITELIBDIR%%/geos
+%%PYTHON%%@dirrmtry %%PYTHON_SITELIBDIR%%
+%%RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.a
+%%RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.la
+%%RUBY%%%%RUBY_SITEARCHLIBDIR%%/geos.so
+%%RUBY%%@dirrmtry %%RUBY_SITEARCHLIBDIR%%/
+%%PHP%%lib/php/20100525/geos.so
+%%PHP%%@dirrmtry lib/php/20100525

Modified: head/graphics/librasterlite/Makefile
==============================================================================
--- head/graphics/librasterlite/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/librasterlite/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,6 +3,7 @@
 
 PORTNAME=	librasterlite
 PORTVERSION=	1.1e
+PORTREVISION=	1
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/librasterlite-sources/
 

Modified: head/graphics/libreatlas/Makefile
==============================================================================
--- head/graphics/libreatlas/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/libreatlas/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libreatlas
 PORTVERSION=	1.0.0a
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/
 

Modified: head/graphics/mapserver/Makefile
==============================================================================
--- head/graphics/mapserver/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/mapserver/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=		mapserver
 PORTVERSION=		6.2.1
-PORTREVISION=		2
+PORTREVISION=		3
 CATEGORIES=		graphics www geography
 MASTER_SITES=		http://download.osgeo.org/mapserver/
 

Modified: head/graphics/qgis/Makefile
==============================================================================
--- head/graphics/qgis/Makefile	Wed Sep 11 13:54:50 2013	(r326980)
+++ head/graphics/qgis/Makefile	Wed Sep 11 13:58:27 2013	(r326981)
@@ -3,7 +3,7 @@
 
 PORTNAME=	qgis
 PORTVERSION=	1.8.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://qgis.org/downloads/ \
 		http://download.osgeo.org/qgis/src/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 William Grzybowski freebsd_committer 2013-09-11 14:59:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter freebsd_committer 2013-09-11 16:09:27 UTC
Author: wg
Date: Wed Sep 11 15:09:19 2013
New Revision: 326985
URL: http://svnweb.freebsd.org/changeset/ports/326985

Log:
  graphics/geos: update to 3.4.2
  
  - Update to 3.4.2
  - Do not bump dependent ports as 3.4.1 did a little while ago
  
  PR:		ports/181422
  Submitted by:	Rainer Hurling <rhurlin gwdg.de> (maintainer)

Modified:
  head/graphics/geos/Makefile
  head/graphics/geos/distinfo
  head/graphics/geos/pkg-plist

Modified: head/graphics/geos/Makefile
==============================================================================
--- head/graphics/geos/Makefile	Wed Sep 11 15:04:45 2013	(r326984)
+++ head/graphics/geos/Makefile	Wed Sep 11 15:09:19 2013	(r326985)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	geos
-PORTVERSION=	3.4.1
+PORTVERSION=	3.4.2
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://download.osgeo.org/geos/
 

Modified: head/graphics/geos/distinfo
==============================================================================
--- head/graphics/geos/distinfo	Wed Sep 11 15:04:45 2013	(r326984)
+++ head/graphics/geos/distinfo	Wed Sep 11 15:09:19 2013	(r326985)
@@ -1,2 +1,2 @@
-SHA256 (geos-3.4.1.tar.bz2) = d07ac375f3edd12425d6ce5a96db9739d5ff358cbdf60c6804f7a9e565af8ff2
-SIZE (geos-3.4.1.tar.bz2) = 1813303
+SHA256 (geos-3.4.2.tar.bz2) = 15e8bfdf7e29087a957b56ac543ea9a80321481cef4d4f63a7b268953ad26c53
+SIZE (geos-3.4.2.tar.bz2) = 1813726

Modified: head/graphics/geos/pkg-plist
==============================================================================
--- head/graphics/geos/pkg-plist	Wed Sep 11 15:04:45 2013	(r326984)
+++ head/graphics/geos/pkg-plist	Wed Sep 11 15:09:19 2013	(r326985)
@@ -325,6 +325,7 @@ include/geos/planargraph/NodeMap.h
 include/geos/planargraph/PlanarGraph.h
 include/geos/planargraph/Subgraph.h
 include/geos/planargraph/algorithm/ConnectedSubgraphFinder.h
+include/geos/platform.h
 include/geos/precision.h
 include/geos/precision/CommonBits.h
 include/geos/precision/CommonBitsOp.h
@@ -371,7 +372,7 @@ include/geos/util/UnsupportedOperationEx
 include/geos/util/math.h
 include/geos/version.h
 include/geos_c.h
-lib/libgeos-3.4.1.so
+lib/libgeos-3.4.2.so
 lib/libgeos.a
 lib/libgeos.la
 lib/libgeos.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"